Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 724527d6435a9061875550ba2e778d357f6529c6)
+++ cpukit/ChangeLog	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -1,2 +1,8 @@
+2009-01-21	Nickolay Kolchin <nbkolchin@gmail.com>
+	        Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1357/cpukit
+	* rtems/src/tasks.c: Ensure creating a task with no ASR is honored.
+
 2009-01-21	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: cpukit/rtems/src/tasks.c
===================================================================
--- cpukit/rtems/src/tasks.c	(revision 724527d6435a9061875550ba2e778d357f6529c6)
+++ cpukit/rtems/src/tasks.c	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -99,6 +99,4 @@
 
   api->pending_events = EVENT_SETS_NONE_PENDING;
-
-  _ASR_Initialize( &api->Signal );
 }
 
Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 724527d6435a9061875550ba2e778d357f6529c6)
+++ testsuites/sptests/ChangeLog	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -1,2 +1,11 @@
+2009-01-21	Nickolay Kolchin <nbkolchin@gmail.com>
+	        Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1357/cpukit
+	* Makefile.am, configure.ac: Ensure creating a task with no ASR is
+	honored.
+	* sp47/.cvsignore, sp47/Makefile.am, sp47/init.c, sp47/sp47.doc,
+	sp47/sp47.scn: New files.
+
 2009-01-16	Jennifer Averett <jennifer.averett@OARcorp.com>
 
Index: testsuites/sptests/Makefile.am
===================================================================
--- testsuites/sptests/Makefile.am	(revision 724527d6435a9061875550ba2e778d357f6529c6)
+++ testsuites/sptests/Makefile.am	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -9,5 +9,5 @@
     sp15 sp16 sp17 sp19 sp20 sp21 sp22 sp23 sp24 sp25 sp26 sp27 sp28 sp29 \
     sp30 sp31 sp32 sp33 sp34 sp35 sp37 sp38 sp39 sp40 sp41 sp42 sp43 sp44 \
-    sp45 sp46 spsize spwatchdog spfatal01 spfatal02 spfatal03 spfatal04 \
+    sp45 sp46 sp47 spsize spwatchdog spfatal01 spfatal02 spfatal03 spfatal04 \
     spfatal05 spfatal06 spfatal07 spfatal08 spfatal09
 
Index: testsuites/sptests/configure.ac
===================================================================
--- testsuites/sptests/configure.ac	(revision 724527d6435a9061875550ba2e778d357f6529c6)
+++ testsuites/sptests/configure.ac	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -72,4 +72,5 @@
 sp45/Makefile
 sp46/Makefile
+sp47/Makefile
 spwatchdog/Makefile
 spsize/Makefile
Index: testsuites/sptests/sp47/.cvsignore
===================================================================
--- testsuites/sptests/sp47/.cvsignore	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
+++ testsuites/sptests/sp47/.cvsignore	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: testsuites/sptests/sp47/Makefile.am
===================================================================
--- testsuites/sptests/sp47/Makefile.am	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
+++ testsuites/sptests/sp47/Makefile.am	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -0,0 +1,28 @@
+##
+## $Id$
+##
+
+MANAGERS = all
+
+rtems_tests_PROGRAMS = sp47.exe
+sp47_exe_SOURCES = init.c
+
+dist_rtems_tests_DATA = sp47.scn
+dist_rtems_tests_DATA += sp47.doc
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../automake/compile.am
+include $(top_srcdir)/../automake/leaf.am
+
+sp47_exe_LDADD = $(MANAGERS_NOT_WANTED:%=$(PROJECT_LIB)/no-%.rel)
+
+AM_CPPFLAGS += -I$(top_srcdir)/../support/include
+
+LINK_OBJS = $(sp47_exe_OBJECTS) $(sp47_exe_LDADD)
+LINK_LIBS = $(sp47_exe_LDLIBS)
+
+sp47.exe$(EXEEXT): $(sp47_exe_OBJECTS) $(sp47_exe_DEPENDENCIES)
+	@rm -f sp47.exe$(EXEEXT)
+	$(make-exe)
+
+include $(top_srcdir)/../automake/local.am
Index: testsuites/sptests/sp47/init.c
===================================================================
--- testsuites/sptests/sp47/init.c	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
+++ testsuites/sptests/sp47/init.c	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -0,0 +1,68 @@
+/*
+ *  Submitted as part of PR1357
+ *
+ *  $Id$
+ */
+
+#include <tmacros.h>
+
+rtems_task test_asr(rtems_task_argument unused)
+{
+  rtems_mode mode;
+
+  rtems_task_mode(0, RTEMS_CURRENT_MODE, &mode);
+
+  if ( (mode & RTEMS_NO_ASR) == 0 ) {
+    puts( "ERROR - disable ASR not honored" );
+    printf(
+      "mode = 0x%08X asr = %s\n", mode,
+      (mode & RTEMS_NO_ASR) ? "OFF" : "ON"
+    );
+  } else
+    puts( "Creating task with ASR disable mode honored" );
+
+  puts( "*** END OF TEST 47 ***" );
+  rtems_test_exit( 0 );
+}
+
+rtems_task Init(rtems_task_argument ignored)
+{
+  rtems_status_code sc;
+  rtems_id ti;
+
+  puts( "\n\n*** TEST 47 ***" );
+  sc = rtems_task_create(
+    rtems_build_name('t', 's', 't', '0'),
+    100,
+    RTEMS_MINIMUM_STACK_SIZE, 
+    RTEMS_NO_ASR,
+    RTEMS_DEFAULT_ATTRIBUTES,
+    &ti
+  );
+
+  if (sc != RTEMS_SUCCESSFUL) {
+    printf("rtems_task_create failed: %i\n", sc);
+    exit(0);
+  }
+
+  rtems_task_start(ti, test_asr, 0);
+
+  rtems_task_delete(RTEMS_SELF);
+}
+
+/* configuration stuff */
+
+#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_MICROSECONDS_PER_TICK 10000
+
+#define CONFIGURE_MAXIMUM_TASKS            64
+#define CONFIGURE_MAXIMUM_PERIODS		  10
+
+#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+#define CONFIGURE_USE_MINIIMFS_AS_BASE_FILESYSTEM
+
+#define CONFIGURE_INIT
+#include <rtems/confdefs.h>
Index: testsuites/sptests/sp47/sp47.scn
===================================================================
--- testsuites/sptests/sp47/sp47.scn	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
+++ testsuites/sptests/sp47/sp47.scn	(revision 03f0885546cd067f01be23c611a2795b97ecacc0)
@@ -0,0 +1,3 @@
+*** TEST 47 ***
+Creating task with ASR disable mode honored
+*** END OF TEST 47 ***
